Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class Teleporter

    java.lang.Object
      net.minecraft.src.Teleporter

    public class Teleporter

extends Object

Constructor Summary
`Teleporter(WorldServer par1WorldServer)`

Method Summary
`boolean` | `func_85188_a(Entity par1Entity)`
`void` | `func_85189_a(long par1)`
`boolean` | `placeInExistingPortal(Entity par1Entity, double par2, double par4, double par6, float par8)` Place an entity in a nearby portal which already exists.
`void` | `placeInPortal(Entity par1Entity, double par2, double par4, double par6, float par8)` Place an entity in a nearby portal, creating one if necessary.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Teleporter

    public Teleporter(WorldServer par1WorldServer)

Method Detail

### placeInPortal

    public void placeInPortal(Entity par1Entity,
                              double par2,
                              double par4,
                              double par6,
                              float par8)

  Place an entity in a nearby portal, creating one if necessary.

### placeInExistingPortal

    public boolean placeInExistingPortal(Entity par1Entity,
                                         double par2,
                                         double par4,
                                         double par6,
                                         float par8)

  Place an entity in a nearby portal which already exists.

### func_85188_a

    public boolean func_85188_a(Entity par1Entity)

### func_85189_a

    public void func_85189_a(long par1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD